
Infrastructure - Task #3528

Story # 3526 (Closed): Material required for Reverse Site Visit

Collate total storage space available at all member nodes

2013-01-30 18:33 - Dave Vieglais

Status: Closed Start date: 2013-01-30

Priority: Urgent Due date: 2013-02-11

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

We need to report on the total storage available at the production nodes. 

For each production node (MN and CN) determine the total space available and the total free space currently available in GB.

This will likely involve contacting node operators to get these numbers.

History

#1 - 2013-02-11 22:04 - Ben Leinfelder

There are a couple things to consider here (using KNB as an example):

1. Size of the files on disk (/var/metacat/*)

Used:

sudo du -ch /var/metacat/ | grep total

173G    total

Available:

sudo df -h /var/metacat

Filesystem            Size  Used Avail Use% Mounted on

/dev/mapper/mn--ucsb--3--var-var

15T  325G   14T   3% /var

2. Size of the Postgres database

SELECT pg_size_pretty(pg_database_size('knb'));

59 GB

 

The available space will therefore be less than the free disk space since there is overhead of the Postgres DB. Tracking a 1 GB data file and a 1 KB

data file takes the same space in the Postgres table. For the KNB this is currently 34% of the disk usage. I suppose we could knock off a third of the

available space to get a more realistic estimate, but given that we do not know how large (or small) the data files will be on any given node this is a

very crud estimate.
#2 - 2013-02-13 19:38 - Ben Leinfelder

I have reports from all but ORNL.

#3 - 2013-02-13 19:39 - Ben Leinfelder

- File d1_node_storage.xlsx added

- File d1_node_storage.xlsx added

#4 - 2013-02-13 20:33 - Ben Leinfelder

- File deleted (d1_node_storage.xlsx)

#5 - 2013-02-13 20:33 - Ben Leinfelder

- File d1_node_storage.xlsx added

- File d1_node_storage.xlsx added

All nodes are now reported in the attached spreadsheet

#6 - 2013-02-13 20:33 - Ben Leinfelder

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Files

d1_node_storage.xlsx 44.2 KB 2013-02-13 Ben Leinfelder
